DORMANTno replies

[PATCH] t3902 - skip test if file system doesn't support HT in names

From: Mark Levedahl <hidden>
Date: 2016-06-15 22:43:28
Subsystem: the rest · Maintainer: Linus Torvalds

Windows / cygwin don't support HT, LF, or TAB in file name so this test
is meaningless there.

Signed-off-by: Mark Levedahl <redacted>
---
 t/t3902-quoted.sh |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)
diff --git a/t/t3902-quoted.sh b/t/t3902-quoted.sh
index 63f950b..245fb3b 100755
--- a/t/t3902-quoted.sh
+++ b/t/t3902-quoted.sh
@@ -7,6 +7,12 @@ test_description='quoted output'
 
 . ./test-lib.sh
 
+P1='pathname	with HT'
+: >"$P1" 2>&1 && test -f "$P1" && rm -f "$P1" || {
+	echo >&2 'Filesystem does not support HT in names'
+	test_done
+}
+
 FN='������'
 GN='���'
 HT='	'
-- 
1.5.3.rc4.79.g9714d-dirty
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help